// $Id: MapView.h 84578 2009-02-23 16:07:12Z johnnyw $

#ifndef __MAPVIEW_H
#define __MAPVIEW_H

#include <Qt/q3canvas.h>
#include <Qt/qpixmap.h>

class MapView : public Q3CanvasView
{
  Q_OBJECT

public:
  MapView(Q3Canvas&, QWidget* parent=0, const char* name=0, Qt::WindowFlags f=0);
  void clear();

protected:
  QPixmap bg_pixmap_;
};



#endif // __MAPVIEW_H
